diff --git a/src/arch/linux/mapping/mapfile.c b/src/arch/linux/mapping/mapfile.c
index f6f63df219..f1882e34a3 100644
--- a/src/arch/linux/mapping/mapfile.c
+++ b/src/arch/linux/mapping/mapfile.c
@@ -22,7 +22,8 @@
 #include <fcntl.h>
 #include <assert.h>
 #include <sys/mman.h>
-
+#include <sys/types.h>
+#include <sys/stat.h>
 
 #include "emu.h"
 #include "mapping.h"
